# SAM_HC_SEND

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
ERRORS
SEE ALSO

## NAME

sam_hc_send − Send health check confirmation

## SYNOPSIS

#include <corosync/sam.h>

cs_error_t sam_hc_send (void);

## DESCRIPTION

The sam_hc_send function is used to send healthcheck confirmation from the application. This function should be called regularly when configured for application driven healthchecking, otherwise recovery action will be taken.

When using event driven healthchecking, this function should not be used.

## RETURN VALUE

This call return CS_OK value if successful, otherwise and error is returned.

## ERRORS

CS_ERR_BAD_HANDLE

health checking is not in running state (sam_start(3) has not been executed) or function is called after stop/finalization of SAM.

## SEE ALSO

sam_start(3), sam_stop(3), sam_hc_callback_register(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task